Page MenuHomePhabricator

rack/setup/install dbproxy200[1-4]
Closed, ResolvedPublic

Description

This task will track the racking, setup, and installation of the 4 new dbproxy hosts received in T213766.

Rack proposal:

  • dbproxy2001 on row A rack A6 U9
  • dbproxy2002 on row B rack B6 U4
  • dbproxy2003 on row C rack C6 U15
  • dbproxy2004 on row D rack D6 U43

dbproxy2001: A6 ge-6/0/8

  • - receive in system on procurement task T213766
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - No RAID controller ( Please provide SW RAID to use)
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup
    • end on-site specific steps
  • - production dns entries
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch) - update netbox status to staged
  • - puppet accept/initial run
  • - handoff for service implementation - service implementation team must change status from staged to active

dbproxy2002: B6 ge-6/0/3

  • - receive in system on procurement task T213766
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - No RAID controller ( Please provide SW RAID to use)
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup
    • end on-site specific steps
  • - production dns entries
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch) - update netbox status to staged
  • - puppet accept/initial run
  • - handoff for service implementation - service implementation team must change status from staged to active

dbproxy2003: C6 ge-6/0/9

  • - receive in system on procurement task T213766
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - No RAID controller ( Please provide SW RAID to use)
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup
    • end on-site specific steps
  • - production dns entries
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch) - update netbox status to staged
  • - puppet accept/initial run
  • - handoff for service implementation - service implementation team must change status from staged to active

dbproxy2004: D6 ge-6/0/20

  • - receive in system on procurement task T213766
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - No RAID controller ( Please provide SW RAID to use)
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup
    • end on-site specific steps
  • - production dns entries
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch) - update netbox status to staged
  • - puppet accept/initial run
  • - handoff for service implementation - service implementation team must change status from staged to active

Details

Related Gerrit Patches:

Event Timeline

Papaul created this task.May 16 2019, 10:23 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 16 2019, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul triaged this task as Medium priority.May 16 2019, 10:24 PM

Change 510795 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] install_server: Prepare to install dbproxy in codfw

https://gerrit.wikimedia.org/r/510795

That rack proposal looks good to me.

Change 510795 merged by Marostegui:
[operations/puppet@production] install_server: Prepare to install dbproxy in codfw

https://gerrit.wikimedia.org/r/510795

@Papaul I have merged https://gerrit.wikimedia.org/r/510795 , so they will pick up the partman recipe on install.
Pending from your side to be able to fully install them would be the DNS entries and the DHCP entries.

Thanks!

Papaul updated the task description. (Show Details)May 23 2019, 8:32 PM

Change 512236 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address for kafka-main2001

https://gerrit.wikimedia.org/r/512236

Change 512236 merged by Dzahn:
[operations/puppet@production] DHCP: Add MAC address for kafka-main2001

https://gerrit.wikimedia.org/r/512236

oops, wrong ticket for the Gerrit comment

Papaul updated the task description. (Show Details)May 28 2019, 6:23 PM

Change 512971 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt and productin DNS for dbproxy200[1-4]

https://gerrit.wikimedia.org/r/512971

Papaul updated the task description. (Show Details)May 28 2019, 8:00 PM

Change 512971 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt and productin DNS for dbproxy200[1-4]

https://gerrit.wikimedia.org/r/512971

Dzahn updated the task description. (Show Details)May 28 2019, 8:23 PM

Change 513004 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address for dproxy200[1-4]

https://gerrit.wikimedia.org/r/513004

Change 513004 merged by Dzahn:
[operations/puppet@production] DHCP: Add MAC address for dproxy200[1-4]

https://gerrit.wikimedia.org/r/513004

Papaul updated the task description. (Show Details)May 29 2019, 12:27 AM
Papaul updated the task description. (Show Details)May 29 2019, 2:13 AM

@Marostegui @jcrespo All your's you can take this task anytime.

Marostegui closed this task as Resolved.EditedMay 29 2019, 2:26 AM

Thanks!
They all look good - we will productionize them at T223492

4 hosts will be targeted:
dbproxy[2001-2004].codfw.wmnet
Confirm to continue [y/n]? y
===== NODE GROUP =====
(1) dbproxy2003.codfw.wmnet
----- OUTPUT of 'free -g ; df -hT' -----
              total        used        free      shared  buff/cache   available
Mem:             31           0          29           0           0          30
Swap:             0           0           0
Filesystem                       Type      Size  Used Avail Use% Mounted on
udev                             devtmpfs   16G     0   16G   0% /dev
tmpfs                            tmpfs     3.2G  9.0M  3.1G   1% /run
/dev/md0                         ext4       46G  1.4G   42G   4% /
tmpfs                            tmpfs      16G     0   16G   0% /dev/shm
tmpfs                            tmpfs     5.0M     0  5.0M   0% /run/lock
tmpfs                            tmpfs      16G     0   16G   0% /sys/fs/cgroup
/dev/mapper/dbproxy2003--vg-data ext4      173G   61M  164G   1% /srv
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/15343
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/0
===== NODE GROUP =====
(1) dbproxy2002.codfw.wmnet
----- OUTPUT of 'free -g ; df -hT' -----
              total        used        free      shared  buff/cache   available
Mem:             31           0          29           0           0          30
Swap:             0           0           0
Filesystem                       Type      Size  Used Avail Use% Mounted on
udev                             devtmpfs   16G     0   16G   0% /dev
tmpfs                            tmpfs     3.2G  9.0M  3.1G   1% /run
/dev/md0                         ext4       46G  1.4G   42G   4% /
tmpfs                            tmpfs      16G     0   16G   0% /dev/shm
tmpfs                            tmpfs     5.0M     0  5.0M   0% /run/lock
tmpfs                            tmpfs      16G     0   16G   0% /sys/fs/cgroup
/dev/mapper/dbproxy2002--vg-data ext4      173G   61M  164G   1% /srv
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/0
===== NODE GROUP =====
(1) dbproxy2004.codfw.wmnet
----- OUTPUT of 'free -g ; df -hT' -----
              total        used        free      shared  buff/cache   available
Mem:             31           0          29           0           0          30
Swap:             0           0           0
Filesystem                       Type      Size  Used Avail Use% Mounted on
udev                             devtmpfs   16G     0   16G   0% /dev
tmpfs                            tmpfs     3.2G  9.0M  3.1G   1% /run
/dev/md0                         ext4       46G  1.4G   42G   4% /
tmpfs                            tmpfs      16G     0   16G   0% /dev/shm
tmpfs                            tmpfs     5.0M     0  5.0M   0% /run/lock
tmpfs                            tmpfs      16G     0   16G   0% /sys/fs/cgroup
/dev/mapper/dbproxy2004--vg-data ext4      173G   61M  164G   1% /srv
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/15343
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/0
===== NODE GROUP =====
(1) dbproxy2001.codfw.wmnet
----- OUTPUT of 'free -g ; df -hT' -----
              total        used        free      shared  buff/cache   available
Mem:             31           0          29           0           0          30
Swap:             0           0           0
Filesystem                       Type      Size  Used Avail Use% Mounted on
udev                             devtmpfs   16G     0   16G   0% /dev
tmpfs                            tmpfs     3.2G   17M  3.1G   1% /run
/dev/md0                         ext4       46G  1.4G   42G   4% /
tmpfs                            tmpfs      16G     0   16G   0% /dev/shm
tmpfs                            tmpfs     5.0M     0  5.0M   0% /run/lock
tmpfs                            tmpfs      16G     0   16G   0% /sys/fs/cgroup
/dev/mapper/dbproxy2001--vg-data ext4      173G   61M  164G   1% /srv
tmpfs                            tmpfs     3.2G     0  3.2G   0% /run/user/0